## net.i2p.client
Class MessagePayloadMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.MessagePayloadMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

class MessagePayloadMessageHandler
extends HandlerImpl

Handle I2CP MessagePayloadMessages from the router delivering the contents of a message by accepting it, decrypting the payload, adding it to the set of recieved messages, and telling the router that it has been recieved correctly.

Author:
  jrandom

Field Summary
`protected I2PAppContext` `_context`
`protected Log` `_log`

Constructor Summary
`MessagePayloadMessageHandler(I2PAppContext context)`

Method Summary
`int` `getType()`
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected Log _log

### _context

    protected I2PAppContext _context

Constructor Detail

### MessagePayloadMessageHandler

    public MessagePayloadMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)

### getType

    public int getType()

  Specified by:
    `getType` in interface `I2CPMessageHandler`